
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #440

[Regression] MP3 with invalid TLEN field not seekable

May 01, 2014 14:00 - FM33 FM33

Status: Closed Start date: May 01, 2014

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: libaudtag Estimated time: 0.00 hour

Target version: 3.5.1   

Affects version: 3.5   

Description

Hello,

Since update from 3.4.x in precise to 3.5.2 in trusty (ppa:mc3man/trusty-media), some mp3 files are not seekable anymore.

mp3val do not find error/fix them.

Example of file : http://rf.proxycast.org/887229376364552192/12249-01.05.2014-ITEMA_20621898-0.mp3

Audacious 3.5.2-1 / Ubuntu 14.04 x64

History

#1 - May 01, 2014 21:09 - John Lindgren

- Category set to plugins/mpg123

- Affects version 3.5 added

- Affects version deleted (3.5.1)

There is no Audacious 3.5.1 nor 3.5.2.

#2 - May 01, 2014 21:36 - FM33 FM33

John Lindgren wrote:

There is no Audacious 3.5.1 nor 3.5.2.

 

The version i have is from https://launchpad.net/~mc3man/+archive/trusty-media and the package is named 3.5.2-1 here. 3.5.1 is the closest found in

the list on this tracker.

#3 - May 01, 2014 21:49 - Michael Schwendt

The packager of the package ought to be contacted and asked to not invent version numbers. The tarball audacious_3.5.2-1.tar.gz contains a

directory audacious-3.5.2 and files with date Apr 23 but a configure.ac scriptlet with version 3.5, which could be an arbitrary git snapshot. Btw, git

master currently is at 3.6-devel.

#4 - May 01, 2014 22:05 - Michael Schwendt

A diff of the tarball against Audacious 3.5 release reveals it's a repackaged 3.5 with an added "debian" directory. Really strange and confusing to call

it 3.5.2.
#5 - May 03, 2014 06:23 - John Lindgren

- Subject changed from [Regression] MP3 seekability to [Regression] MP3 with invalid TLEN field not seekable

- Category changed from plugins/mpg123 to libaudtag

- Status changed from New to Closed

- Target version set to 3.5.1

- % Done changed from 0 to 100

The test file has an invalid TLEN field ("00h02m29s", where the correct format is milliseconds [1]).  Fixed in Git 3.5.x branch to ignore a TLEN field

that cannot be converted to a positive integer.

[1] http://id3.org/id3v2.4.0-frames
